Bug 473542 - Can't resume from suspend/hibernate on Dell Vostro 1310
Can't resume from suspend/hibernate on Dell Vostro 1310
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 04:31 EST by Pedro Matiello
Modified: 2013-01-10 02:09 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Matiello 2008-11-29 04:31:53 EST
Description of problem:
Can't resume from suspend or hibernate.

Version-Release number of selected component (if applicable):
2.6.27.5-117.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. System -> Shutdown -> Suspend
2. Wait until the system is suspended
3. Resume the system
  
Actual results:
System seems to return, but the screen shows only a black background with the mouse cursor. Mouse and keyboard input are ignored. System locked, forced reboot needed.

Expected results:
Resume correctly from suspend.

Additional info:
It's the same thing for hibernate.

My Smolt Profile: http://www.smolts.org/client/show/pub_f1bd23a9-5220-4fbd-becc-b83e07c99cb4
Comment 1 Tore Anderson 2008-11-29 06:19:53 EST
Confirmed, I see the exact same behaviour with F10 (KDE version) on a Lenovo ThinkPad X61s.

I had no problems suspending/resuming the same laptop when running Ubuntu 8.10.  I'm a long-time Debian/Ubuntu user trying to convert to Fedora (just to see what it's like) but if this bug is a blocker; working suspend/resume is very important to me.

Smolt: http://smolts.org/show?uuid=pub_017cc1e3-8586-4df7-bc26-12b3e1fe58d7

Tore
Comment 2 Pedro Matiello 2008-11-29 06:54:45 EST
Follow-up: it seems to be related to compiz somehow. If desktop-effects is turned off, Fedora resumes from suspend nicely.
Comment 3 Joshua BA 2008-11-29 07:13:27 EST
On KDE also, if "Desktop Effects" is off everything works normally.
Comment 4 Pedro Matiello 2008-11-29 13:21:29 EST
This update seems to have solved the problem for me:
http://koji.fedoraproject.org/koji/buildinfo?buildID=71299

Also, changing to a text VT and then returning to X is working too.
Comment 5 S.Mendis 2008-11-30 05:39:28 EST
I confirm 2.6.27.7-130.fc10.i686 and the intel patch it includes from koji resolves this issue
Comment 6 Ivo 2008-11-30 16:13:55 EST
This is not working for me. I installed 2.6.27.7-130.fc10.i686 from koji and the problem with suspend still persists, even though desktop-effects are disabled. Maybe of relevance is that I have a Mobility Radeon HD 2400 video adapter using the "radeon" or the "radeonhd" driver. The system suspends fine, but upon resume the screen remains black (doesn't even flash, nor does the backlight come on), the system is frozen (caps lock key causes no lighting of the caps light).
Comment 7 Aniket 2008-11-30 16:43:25 EST
I still cannot resume from a suspend-to-ram even with the new kernel. I have Vostro 1400 with Nvidia 8400M GS . On opening the lid , I just see the screen turned off completely and keyboard not responding. On the default kernel (2.5.27.5-117), I had also tried with the nv driver instead of nvidia (ver 180.08) driver ,I got the same result  .
Comment 8 Arif Saleem 2008-11-30 17:49:59 EST
I have the same problem with an HP Compaq nx7400. This is a Core 2 Duo 1.8GHz, with an Intel 915/945 Integrated Graphics Controller. I'm running F10 final with kernel 2.6.27.5-117.fc10.x86_64. Graphics card driver is xorg-x11-drv-i810-2.5.0-3.fc10.x86_64

When resuming from Suspend-to-RAM, I get a black screen with a mouse cursor, but the system is completely unresponsive and I have to hard-reboot.
Comment 9 Arif Saleem 2008-11-30 17:57:16 EST
Apologies - should have added this in my first comment :
The problem only occurs when compiz is enabled (which has its own slowness problems as noted in  Bug 444328 -  compiz slow with Intel i810 driver).

With compiz disabled suspend and resume DOES work for me.
Comment 10 S.Mendis 2008-11-30 20:02:01 EST
(In reply to comment #6)
> This is not working for me. I installed 2.6.27.7-130.fc10.i686 from koji and
> the problem with suspend still persists, even though desktop-effects are
> disabled. Maybe of relevance is that I have a Mobility Radeon HD 2400 video
> adapter using the "radeon" or the "radeonhd" driver. The system suspends fine,
> but upon resume the screen remains black (doesn't even flash, nor does the
> backlight come on), the system is frozen (caps lock key causes no lighting of
> the caps light).

(In reply to comment #7)
> I still cannot resume from a suspend-to-ram even with the new kernel. I have
> Vostro 1400 with Nvidia 8400M GS . On opening the lid , I just see the screen
> turned off completely and keyboard not responding. On the default kernel
> (2.5.27.5-117), I had also tried with the nv driver instead of nvidia (ver
> 180.08) driver ,I got the same result  .

The fix is only for Intel cards as per the Koji changelog

(In reply to comment #8)
> I have the same problem with an HP Compaq nx7400. This is a Core 2 Duo 1.8GHz,
> with an Intel 915/945 Integrated Graphics Controller. I'm running F10 final
> with kernel 2.6.27.5-117.fc10.x86_64. Graphics card driver is
> xorg-x11-drv-i810-2.5.0-3.fc10.x86_64
> 
> When resuming from Suspend-to-RAM, I get a black screen with a mouse cursor,
> but the system is completely unresponsive and I have to hard-reboot.

This should be resolved by downloading the kernel from Koji
http://koji.fedoraproject.org/koji/buildinfo?buildID=71299
Comment 11 Ivo 2008-12-01 03:50:37 EST
(In reply to comment #10)
> The fix is only for Intel cards as per the Koji changelog
> 

Do you know if this is a confirmed kernel bug in regard to the radeon driver too?
I tried getting some additional information using the guide here:
http://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_to_RAM_failure
and trying the pm_trace trick, but I got no useful "hash matches" grepping dmesg. So I suppose it is not a particular module causing the problem.
Comment 12 Pedro Matiello 2008-12-02 16:19:12 EST
Regression: this new kernel from koji seems to be problematic too. It will boot to gdm screen, but will ignore keyboard and touchpad.

If I boot 2.26.5 and then reboot to 2.26.7-130, everything works. Odd.
Comment 13 Pedro Matiello 2008-12-02 17:09:25 EST
Update: same thing with -134. It seems to be a issue with iwl3945. This patch is likely to fix it:
http://bugzilla.kernel.org/show_bug.cgi?id=11746
Comment 14 Aniket 2008-12-02 17:41:05 EST
You may be correct, as on resuming , I cant see the wifi light come on , I have a Intel 3945 too. I will try suspending with iwl3945 module removed .
Comment 15 Arif Saleem 2008-12-03 03:56:52 EST
I'm using kernel 2.6.27.7-132.fc10.x86_64 from koji, and I have an Intel 3945 wireless card :

lspci : 10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

lsmod :
iwl3945               151908  0 
rfkill                 17316  2 iwl3945
mac80211              213872  1 iwl3945
cfg80211               32400  2 iwl3945,mac80211

I'm NOT using compiz, due to the i810 slowness problem, and suspend and resume DOES work fine for me. The laptop is an HP Compaq nx7400.
Comment 16 Pedro Matiello 2008-12-03 05:13:02 EST
I've just got the same freezing with kernel-2.6.27.5-117.fc10.x86_64. System boots up to gdm screen and stays there until I force a reboot. It seems that the bug is present in this kernel too, but is hit less often.
Comment 17 Pedro Matiello 2008-12-03 09:17:53 EST
I just created a new report for this bug as these are likely to be different issues.

Check bug #474357.
Comment 18 Khashayar Naderehvandi 2008-12-05 18:57:48 EST
I just wanted to say that I've had this exact problem with a GMA 4500, but it was solved with the latest kernel in koji, i.e. kernel-2.6.27.7-135.fc10, with no visible regressions (that I've noticed, at least).
Comment 19 Chris Nolan 2008-12-07 18:25:22 EST
(In reply to comment #18)
> I just wanted to say that I've had this exact problem with a GMA 4500, but it
> was solved with the latest kernel in koji, i.e. kernel-2.6.27.7-135.fc10, with
> no visible regressions (that I've noticed, at least).

Same experience here. 2.6.27.7-134.fc10.x86_64 from updates-testing fixes this issue for me.

Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
Comment 20 James Kirkland 2008-12-15 17:30:54 EST
I just wanted to clarify as this bug report has become confusing.   I have a Lenovo T60.   I am seeing both the inability to resume from suspend,  and the intel 3945 system hang.   

From what I can tell the hang on resume is completely unrelated to the 3945 issue.   It is just an X windows issue.   It does not happen if you disable compiz / Desktop effects.   The box is not hung, and you can ssh into it, and shut it down.   I haven't seen any work related to this issue.  I can re-enable and provide additional logfiles, or testing.  I am using the intel driver.

There also appears to be other drivers that hang X on resume whether or not compiz is enabled.   It looks like these are Radeon.   Should we fork a new ticket for the compiz issue, and treat it separate from the Radeon issue?

The second issue is that the entire system can hang when using the intel 3945 wireless module.   This was spun off into it's own issue (bug #474357).  

Let me know if I have misunderstood the text in the bug...
Comment 21 Pedro Matiello 2008-12-15 18:29:18 EST
I believe this issue is fixed with the latest kernel update (at least on Intel video, not sure about ATI).

The other bug is still running and is unrelated to this one.
Comment 22 James Kirkland 2008-12-15 19:16:06 EST
By latest I assume you mean 2.6.27.7-134.fc10.x86_64?  If so I can re-enable compiz and test.
Comment 23 James Kirkland 2008-12-23 13:08:48 EST
I tested running 2.6.27.7-134.fc10.x86_64 and I was able to resume without the hang.
Comment 24 Edney Matias 2009-11-05 12:44:42 EST
I'm using F12 beta with kernel 2.6.31.5-115.fc12.i686.PAE and the problems seems to be more frequent now. Every single suspend renders the black screen of death. Definetly the system is not dead. When the screensaver is activated i can see it moving but my keyboard doesn't work, neither my mouse. I can't use suspend anymore, too sad. I have a Dell Vostro 1400. Do i need to open a bug against Rawhide?
Comment 25 Vedran Miletić 2009-11-16 09:16:08 EST
Updating summary per comment #24.
Comment 26 Edney Matias 2009-11-17 12:56:01 EST
It's less frequent now after the last kernel updates but i can't say for sure when it will not resume.
Comment 27 Michael Breuer 2009-11-29 21:29:47 EST
*** Bug 542379 has been marked as a duplicate of this bug. ***
Comment 28 Michael Breuer 2009-11-29 21:30:14 EST
*** Bug 517480 has been marked as a duplicate of this bug. ***
Comment 29 Michael Breuer 2009-11-29 21:30:41 EST
*** Bug 542317 has been marked as a duplicate of this bug. ***
Comment 30 Michael Breuer 2009-11-29 21:31:14 EST
*** Bug 492740 has been marked as a duplicate of this bug. ***
Comment 31 Michael Breuer 2009-11-29 21:31:29 EST
*** Bug 508571 has been marked as a duplicate of this bug. ***
Comment 32 Michael Breuer 2009-11-29 21:32:09 EST
*** Bug 471711 has been marked as a duplicate of this bug. ***
Comment 33 Vedran Miletić 2009-11-30 03:19:27 EST
Michael, I really appreciate the fact that you found all those suspend/resume bugs. But they are not all the same bug, because suspend/resume fails on different systems for different reasons.

For example, my desktop has never been able to suspend/resume with Fedora, while it has always worked on my laptop.

I suggest you reopen all those bugs and perhaps create (or find, it may already exist) a single suspend/resume issues meta-bug. Then just add all those mentioned as blockers of this meta-bug.
Comment 34 Bug Zapper 2010-11-04 07:39:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 Bug Zapper 2010-12-05 02:05:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.